//
//  LoadingScene.h
//  ScenesAndLayers_Cocos2D
//
//  Created by Du Yabo on 11-12-8.
//  Copyright 2011年 Beijing Mobroad Tech Co.Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "cocos2d.h"

typedef enum {
    TargetSceneInvalid=0,
    TargetSceneFirstScene,
    TargetSceneSecondScene,
    TargetSceneMultiLayerScene,
    TargetSceneParallaxScene,
    TargetSceneMax
} TargetScenes;

@interface LoadingScene : CCScene {
    TargetScenes _targetScene;
}

+(id) sceneWithTargetScene:(TargetScenes)targetScene;
-(id) initWithTargetScene:(TargetScenes)targetScene;

@end
