//
//  SecondScene.m
//  ScenesAndLayers_Cocos2D
//
//  Created by Du Yabo on 11-12-8.
//  Copyright 2011年 Beijing Mobroad Tech Co.Ltd. All rights reserved.
//

#import "SecondScene.h"
#import "FirstScene.h"

@implementation SecondScene

+(id) scene
{
    CCLOG(@"%@,%@",NSStringFromSelector(_cmd),self);
    CCScene *scene=[CCScene node];
    CCLayer *layer=[SecondScene node];
    [scene addChild:layer];
    return scene;
}
+(void) simulateLongTimeLoading
{
    double a=122,b=233;
    for(unsigned int i=0;i<100000000;i++){
        a=b/a;
    }
}

-(id) init
{
    CCLOG(@"%@,%@",NSStringFromSelector(_cmd),self);
    if(self=[super init]){
        CCLabelTTF *label=[CCLabelTTF labelWithString:@"Second Layer" fontName:@"Marker Felt" fontSize:62];
        CGSize size=[[CCDirector sharedDirector] winSize];
        label.position=CGPointMake(size.width/2, size.height/2);
        label.color=ccRED;
        [self addChild:label];
        
        self.isTouchEnabled=YES;
        
        [SecondScene simulateLongTimeLoading];
    }
    return self;
}

-(void) ccTouchesBegan:(NSSet *)touches withEvent:(UIEvent *)event
{
    CCLOG(@"%@,%@",NSStringFromSelector(_cmd),self);
    //[[CCDirector sharedDirector] replaceScene:[FirstScene scene]];
    
    CCTransitionSlideInB *transition=[CCTransitionSlideInB transitionWithDuration:3 scene:[FirstScene scene]];
    [[CCDirector sharedDirector] replaceScene:transition];
}

//如果以下两个方法内不调用父类的方法，则FirstScene不会响应任何touch事件
-(void) onEnter
{
    CCLOG(@"%@,%@",NSStringFromSelector(_cmd),self);
    [super onEnter];
}

-(void) onEnterTransitionDidFinish
{
    CCLOG(@"%@,%@",NSStringFromSelector(_cmd),self);
    [super onEnterTransitionDidFinish];
}

-(void) onExit
{
    //如果此处不调用父类的方法，在切换场景后，不会执行FirstScene的dealloc方法，则新场景的touch事件均会由FirstScene来响应
    CCLOG(@"%@,%@",NSStringFromSelector(_cmd),self);
    [super onExit];
}

-(void)dealloc
{
    CCLOG(@"%@,%@",NSStringFromSelector(_cmd),self);
    [super dealloc];
}

@end
